slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVSetActiveColumns

Specify the columns that will be involved in operations.

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVSetActiveColumns(BV bv,PetscInt l,PetscInt k)

Logically Collective

### Input Parameters

| bv | - the basis vectors context
| l | - number of leading columns
| k | - number of active columns

### Notes

In operations such as BVMult() or BVDot(), only the first k columns are considered. This is useful when the BV is filled from left to right, so the last m-k columns do not have relevant information.

Also in operations such as BVMult() or BVDot(), the first l columns are normally not included in the computation. See the manpage of each operation.

In orthogonalization operations, the first l columns are treated differently, they participate in the orthogonalization but the computed coefficients are not stored.

### See Also

BVGetActiveColumns(), BVSetSizes()

### Level

intermediate

### Location

src/sys/classes/bv/interface/bvbasic.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages